## ros-humble-canopen-core 0.2.11

=== debian/changelog ===
ros-humble-canopen-core (0.2.11-6bookworm) bookworm; urgency=high

  * catalogue for first release humble
  * Contributors: ipa-vsp

 -- Christoph Hellmann Santos <christoph.hellmann.santos@ipa.fraunhofer.de>  Sun, 21 Apr 2024 16:00:00 -0000

ros-humble-canopen-core (0.2.10-6bookworm) bookworm; urgency=high

  * Merge pull request #281 <https://github.com/ros-industrial/ros2_canopen/issues/281> from ipa-vsp/humble
    Sync Humble
  * Merge remote-tracking branch 'industrial/humble' into humble
  * synch humble
  * 0.2.7
  * Update changelog
  * Add missing license headers and activate ament_copyright (#165 <https://github.com/ros-industrial/ros2_canopen/issues/165>)
    * Add missing license headers
    * Add fix ament_lint_cmake
    ---------
  * Fix maintainer naming (#163 <https://github.com/ros-industrial/ros2_canopen/issues/163>)
  * 0.2.6
  * Update changelogs
  * 0.2.5
  * Update changelogs
  * 0.2.4
  * Update changelog
  * 0.2.3
  * Update Changelogs
  * 0.2.2
  * Update Changelogs
  * 0.2.7
  * Update changelog
  * Add missing license headers and activate ament_copyright (#165 <https://github.com/ros-industrial/ros2_canopen/issues/165>)
    * Add missing license headers
    * Add fix ament_lint_cmake
    ---------
  * Fix maintainer naming (#163 <https://github.com/ros-industrial/ros2_canopen/issues/163>)
  * 0.2.6
  * Update changelogs
  * 0.2.5
  * Update changelogs
  * 0.2.4
  * Update changelog
  * 0.2.3
  * Update Changelogs
  * 0.2.2
  * Update Changelogs
  * Sync humble branch with 0.2.1 release  (#153 <https://github.com/ros-industrial/ros2_canopen/issues/153>)
    * Update rolling.yml
    * Merge pull request #152 <https://github.com/ros-industrial/ros2_canopen/issues/152> from ros-industrial/fix-bdist-dep-in-lely-core
    Do not build dcf-tools bdist in lely_core_libraries
    * Merge pull request #142 <https://github.com/ros-industrial/ros2_canopen/issues/142> from ros-industrial/iron-test-fixes-controllers
    Don't use ros2_control_test_assets since not needed anymore. Add load tests for all controllers.
    * Merge pull request #145 <https://github.com/ros-industrial/ros2_canopen/issues/145> from ros-industrial/consistent-output-of-hex-values
    Use consistenlty (uppercase) HEX output for NodeID and Index.
    * Merge pull request #151 <https://github.com/ros-industrial/ros2_canopen/issues/151> from ros-industrial/upgrade-launch-tests
    Fix proxy driver lifecyle and launch tests
    * Update Changelogs
    * 0.2.1
    * Fix build warnings
    * Update status badge.
    ---------
    Co-authored-by: Christoph Hellmann Santos <mailto:51296695+ipa-cmh@users.noreply.github.com>
    Co-authored-by: Christoph Hellmann Santos <mailto:christoph.hellmann.santos@ipa.fraunhofer.de>
  * Fix build warnings
  * 0.2.1
  * Update Changelogs
  * Merge pull request #151 <https://github.com/ros-industrial/ros2_canopen/issues/151> from ros-industrial/upgrade-launch-tests
    Fix proxy driver lifecyle and launch tests
  * Merge pull request #145 <https://github.com/ros-industrial/ros2_canopen/issues/145> from ros-industrial/consistent-output-of-hex-values
    Use consistenlty (uppercase) HEX output for NodeID and Index.
  * Merge pull request #144 <https://github.com/ros-industrial/ros2_canopen/issues/144> from ipa-vsp/humble
    Sync humble with Beta (0.2.0) release
  * 0.2.0
  * Update changelog
  * set versions
  * Update changelofs
  * Merge branch 'StoglRobotics-forks-use-can-interface-name-consistently'
  * Beta release preparations (#120 <https://github.com/ros-industrial/ros2_canopen/issues/120>)
    * Improve lely compilation time
    * Bump lely_core_librries to version 2.3.2
    * Add license files
    * Adapt package xml
    * Add changelogs - forthcoming for now.
    * Update readme
    * Add apacje-2.0 license notifications to files
    ---------
  * Sync humble with newest changes (#123 <https://github.com/ros-industrial/ros2_canopen/issues/123>)
    * Introduce canopen system interface.
    * Enable easy testing temporarily.
    * Print config paths on init.
    * Add device manager and executor.
    * Start device manager in system interface.
    * Add nmt and rpdo callbacks.
    * Remove pedantic cmake flags.
    * Add internal caching structures for canopen nodes.
    * Expose necessary stuff from proxy driver.
    * Apply suggestions from code review
    * Fix dependencies for canopen_ros2_control.
    * Move device manager instantation into on_config.
    * Introduce canopen system interface.
    * Enable easy testing temporarily.
    * Print config paths on init.
    * Add device manager and executor.
    * Start device manager in system interface.
    * Add nmt and rpdo callbacks.
    * Remove pedantic cmake flags.
    * Add internal caching structures for canopen nodes.
    * Expose necessary stuff from proxy driver.
    * Apply suggestions from code review
    * Add missig dependencies and execute tests only when testing.
    * Remove unneccesary deps.
    * Rename "device manager" to "device container" and disable test because it is now working in the current setup.
    * Update .gitignore
    * Remove some unecessary changes.
    * Fix merging issues.
    * Update visibility-control macros.
    * Disable test because they can not be eaisly tested.
    * Update canopen_core/CMakeLists.txt
    * Solve Boot Error (#49 <https://github.com/ros-industrial/ros2_canopen/issues/49>)
    * Update CI for new version branches
    * Simplify configuration folder and use existing .eds, .dcf file. Improve test launch file. Update runtime deps.
    * Add template for canopen proxy controller.
    * Add dummy services, rt publishers and subscribers to proxy controller.
    * Expose controller plugin. Start canopen proxy controller instance in example.
    * Add publishing of rpdo and nmt state.
    * Add service one shot mechanisms.
    * Apply suggestions from code review
    * Add tests to canopen_tests
    * Reorganise test launch system
    * update package.xml

