=== debian/control ===
Source: ros-humble-canopen-core
Section: misc
Priority: optional
Maintainer: Christoph Hellmann Santos <christoph.hellmann.santos@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-canopen-interfaces, ros-humble-lely-core-libraries, ros-humble-lifecycle-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclcpp-lifecycle, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-canopen-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-humble-canopen-interfaces, ros-humble-lely-core-libraries, ros-humble-lifecycle-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclcpp-lifecycle, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Description: Core ros2_canopen functionalities such as DeviceContainer and master
